2020-10-24 11:10 AEDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000508mercuryBugpublic2020-10-16 07:11
Reporterjuliensf 
Assigned Tozs 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000508: Type constructors that are also Mercury operators result in invalid .int3 files
DescriptionType constructors that are also Mercury operators (like rule or pragma) result in .int3 files the compiler cannot read back in. This is due to the operators not being escaped in :- type_representation items. For example, extras/moose/grammar.m contains a type named rule/0, which results in the following in the .int3 file

    :- type_representation(grammar.rule, is_word_aligned_ptr)

Currently, extras/moose and samples/muz cannot being compiled with the current ROTD.

(Also, why does the first argument of the type_representation item need to be module qualified?)



TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0001120

zs (developer)

Fix was committed 2020 may 17.
+Notes

-Issue History
Date Modified Username Field Change
2020-05-17 01:31 juliensf New Issue
2020-05-17 03:06 zs Assigned To => zs
2020-05-17 03:06 zs Status new => assigned
2020-10-16 07:11 zs Status assigned => resolved
2020-10-16 07:11 zs Resolution open => fixed
2020-10-16 07:11 zs Note Added: 0001120
+Issue History